Create a transcription artifact
US Region: https://public-api.sessionboard.com · EU Region: https://public-api-eu.sessionboard.com
Requires write:transcriptions scope.
Request example
curl --request POST \ --url 'https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions' \ --header 'x-access-token: <api-token>' \ --header 'Content-Type: application/json' \ --data '{ "type": "fragment", "transcription": "<string>"}'const response = await fetch('https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions', { method: 'POST', headers: { "x-access-token": "<api-token>", "Content-Type": "application/json" }, body: JSON.stringify({ "type": "fragment", "transcription": "<string>" }),});
const data = await response.json();console.log(data);import requests
response = requests.request( "POST", "https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions", headers={ "x-access-token": "<api-token>", "Content-Type": "application/json" }, json={ "type": "fragment", "transcription": "<string>" },)
print(response.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions", CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => '{ "type": "fragment", "transcription": "<string>"}', CURLOPT_HTTPHEADER => [ "x-access-token: <api-token>", "Content-Type: application/json", ],]);
$response = curl_exec($curl);curl_close($curl);
echo $response;package main
import ( "fmt" "io" "net/http" "strings")
func main() { req, _ := http.NewRequest("POST", "https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions", strings.NewReader(`{ "type": "fragment", "transcription": "<string>"}`)) req.Header.Add("x-access-token", "<api-token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions")) .header("x-access-token", "<api-token>") .header("Content-Type", "application/json") .method("POST", HttpRequest.BodyPublishers.ofString("{\n \"type\": \"fragment\",\n \"transcription\": \"<string>\"\n}")) .build();
HttpResponse<String> response = HttpClient.newHttpClient() .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());Try it
Response headers
Authorizations
x-access-tokenstringheaderOrganization API token. Generate from Organization Settings → API Tokens.
AuthorizationBearer <token>headerorOAuth 2.1 access token. Obtained via the OAuth PKCE flow at
/oauth/token.
Send one of these. See Authentication.
Path parameters
eventIdintegerpathrequiredEvent ID
sessionIdstring<uuid>pathrequiredSession UUID
Request body
typestringrequired- Allowed values
"fragment", "summary", "insight", "translation"
transcriptionstring
{ "type": "fragment", "transcription": "<string>"}Responses
201application/json
Created
dataTranscriptionPolymorphic transcription artifact. Fields vary by type.
Show child attributes
idstring<uuid>typestring- Allowed values
"fragment", "summary", "insight", "translation"
session_idstring<uuid>transcriptionstringspeakerstringis_partialbooleanproviderstringcreated_atstring<date-time>updated_atstring<date-time>
403
Missing write:transcriptions scope
Response examples
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "fragment", "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "transcription": "<string>", "speaker": "<string>", "is_partial": true, "provider": "<string>", "created_at": "2026-01-15T09:30:00Z", "updated_at": "2026-01-15T09:30:00Z" }}